<?php
// START CONTACT SECTION 
$wp_customize->add_section(
    'contact_section',
    array(
        'title'         => __( 'Contact Section', 'Luzuk Premium' ), 
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
    'contact_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'contact_section_disable',
        array(
            'settings'      => 'contact_section_disable',
            'section'       => 'contact_section',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'contact', 'contact_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'contactsection_padding', 'contact_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'contact_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_areaTpadding',
    array(
        'settings'      => 'contact_areaTpadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'contact_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_areaBpadding',
    array(
        'settings'      => 'contact_areaBpadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'contact_sectitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contact_sectitle_subtitle_heading',
        array(
            'settings'      => 'contact_sectitle_subtitle_heading',
            'section'       => 'contact_section',
            'label'         => __( 'Section Heading', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'contact_sectitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'We are here to help you', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'contact_sectitle',
    array(
        'settings'      => 'contact_sectitle',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contact_headClr', 'contact_section', 'Section Heading Color', '#000');

$wp_customize->add_setting(
    'contact_headtext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'contact_headtext',
    array(
        'settings'      => 'contact_headtext',
        'section'       => 'contact_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading Text', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contact_subheadClr', 'contact_section', 'Section Sub Heading Text Color', '#878586');

addColorPalatOption($wp_customize, 'contact_formouterbrdColor', 'contact_section', 'Section Border Color', '#f27968');

lzCustomLable($wp_customize, 'contact_contactdheadeing', 'contact_section', 'Set Contact Detail');

$wp_customize->add_setting(
        'contactsec_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'contactsec_image',
            array(
                'section' => 'contact_section',
                'settings' => 'contactsec_image',
                'description' => __('Recommended Image Size: 600X730px', 'luzuk-premium')
            )
        )
    );


lzCustomLable($wp_customize, 'contact_area_contactdheadeing', 'contact_section', 'Contact Form Setting');


$wp_customize->add_setting(
    'contsec_form_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Make An Enquiry', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'contsec_form_title',
    array(
        'settings'      => 'contsec_form_title',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Form Title', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contact_fortitlrClr', 'contact_section', 'Form Title Color', '#f27968');

$wp_customize->add_setting(
    'contact_form_lbl',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);

$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contact_form_lbl',
        array(
            'settings'      => 'contact_form_lbl',
            'section'       => 'contact_section',
            'label'         => __( 'Add contact Form shortcode', 'luzuk-premium' ),
        )
    )
);
$wp_customize->add_setting(
    'contact_form_shortcode',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Add your form shortcode on customiser', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_form_shortcode',
    array(
        'settings'      => 'contact_form_shortcode',
        'section'       => 'contact_section',
        'type'          => 'textarea',
        'label'         => __( 'Shortcode', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contact_formboxbgColor', 'contact_section', 'Form Box Background Color', '#fff');

addColorPalatOption($wp_customize, 'contact_forminputtextColor', 'contact_section', 'Form Input Text / Placeholder Color', '#a09e9e');

addColorPalatOption($wp_customize, 'contact_forminputborderColor', 'contact_section', 'Form Input Border Color', '#7c655f');

addColorPalatOption($wp_customize, 'contact_forminputbgColor', 'contact_section', 'Form Input Background Color', '#fff');

addColorPalatOption($wp_customize, 'contact_formbuttonbgColor', 'contact_section', 'Form Button Background Color', '#f27968');

addColorPalatOption($wp_customize, 'contact_formbuttontextColor', 'contact_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'contact_formbuttontexthoverColor', 'contact_section', 'Form Button Text Hover Color', '#f27968');

addColorPalatOption($wp_customize, 'contact_formbuttonbghoverColor', 'contact_section', 'Form Button Background Hover Color', '#000');

?>